window.addEventListener('DOMContentLoaded', function() {
	'use strict';

	/*Funcion para realizar un back*/	
	var titulo=document.getElementById('titulo');
	var nameAutor=document.getElementById('nameAutor');
	var imgBlog=document.getElementById('imgBlog');
	var contTexto=document.getElementById('contTexto');
	var dateCont=document.getElementById('dateCont');

	var retorna = document.querySelector('a[name="retorna"]');	
	 retorna.addEventListener('click', function(e) 
	 {
	     e.preventDefault();
	   window.history.go(-1);
  	 }, false);

  	 /*FINSION PARA BUSCAR*/
	var searchInput = document.getElementById('elqueb');	
	var search=document.querySelector('form[name="frmBuscar"]');

	search.addEventListener('submit', function(e) 
	 {

	     e.preventDefault();
	     GoSearch();
  	 }, false);

	function GoSearch()
	{			
		document.location = 'listResultSearch.html?q='+searchInput.value;  
	    document.location.href = 'listResultSearch.html?q='+searchInput.value;
	    searchInput.value="";
	}
	/*FIN DE FUNCION PARA BUSCAR*/


	var parseJSOn=JSON.parse(localStorage['blogSelected']);
   
   parseJSOn.forEach(function(doc) {
			titulo.textContent=	doc.titulo;
			nameAutor.textContent=doc.escritor;
			imgBlog.src=doc.imagenGrande;
			if(doc.contenido!="")
			{
			 //contTexto.textContent= clearHtml(doc.contenido);
			 contTexto.innerHTML=doc.contenido;
		    }

		    if(doc.fecha!="")
		    {
		    	
		    	var fechaArray = doc.fecha.split('-');
		    	if(fechaArray.length==3)
		    	{
					var dia = fechaArray[2];
					var diafinal=dia.split(' ');
					if(diafinal.length!=0)
					{
						dia=diafinal[0];
						var mes = fechaArray[1];
						var anio = fechaArray[0];
						dateCont.textContent=dia+"/"+mes+"/"+anio;
				    }
				}
		    }
		});	
 
  
	/*Fin de Funcion para realizar un back*/

	function clearHtml(html)
				{
				   var tmp = document.createElement("DIV");
				   tmp.innerHTML = html;
				   return tmp.textContent || tmp.innerText || "";
				}


});